Claim a case

Claims a case for a reviewer. Succeeds if unclaimed, owned by the same user, or the previous claim has expired (30 minutes). Requires cases:write scope.

Authentication

X-API-Keystring

Organization API key. Keys are prefixed with vk_live_ (production) or vk_sandbox_ (sandbox).

Path parameters

case_idstringRequired

Request

This endpoint expects an object.
reviewer_idstringRequired
Org user public ID or UUID of the reviewer.

Response

Case claimed
idstring
Case public ID.
session_idstring
UUID of the associated session.
statusenum
created_atdatetime
decisionenum
Allowed values:
assigned_tostring or null
UUID of the assigned reviewer.
claimed_atdatetime or null
entered_review_atdatetime or null
decided_atdatetime or null

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
409
Conflict Error